<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><meta charset="utf-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><title>Read in raw data files from the canton of Geneva — read_raw_data_geneva • swissevote</title><script src="../lightswitch.js"></script><script src="../deps/jquery-3.6.0/jquery-3.6.0.min.js"></script><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><link href="../deps/bootstrap-5.3.1/bootstrap.min.css" rel="stylesheet"><script src="../deps/bootstrap-5.3.1/bootstrap.bundle.min.js"></script><link href="../deps/font-awesome-6.5.2/css/all.min.css" rel="stylesheet"><link href="../deps/font-awesome-6.5.2/css/v4-shims.min.css" rel="stylesheet"><script src="../deps/headroom-0.11.0/headroom.min.js"></script><script src="../deps/headroom-0.11.0/jQuery.headroom.min.js"></script><script src="../deps/bootstrap-toc-1.0.1/bootstrap-toc.min.js"></script><script src="../deps/clipboard.js-2.0.11/clipboard.min.js"></script><script src="../deps/search-1.0.0/autocomplete.jquery.min.js"></script><script src="../deps/search-1.0.0/fuse.min.js"></script><script src="../deps/search-1.0.0/mark.min.js"></script><!-- pkgdown --><script src="../pkgdown.js"></script><meta property="og:title" content="Read in raw data files from the canton of Geneva — read_raw_data_geneva"><meta name="description" content="Read in raw data files from the canton of Geneva"><meta property="og:description" content="Read in raw data files from the canton of Geneva"><meta name="twitter:card" content="summary"><meta name="twitter:creator" content="@2BSalim"><meta name="twitter:site" content="@2BSalim"><meta name="robots" content="noindex"><script src="https://rpkg.dev/counter-dev.min.js" data-id="4c4963fe-9fcf-4d81-95bb-2135e114b85b" data-utcoffset="1"></script></head><body>
    <a href="#main" class="visually-hidden-focusable">Skip to contents</a>


    <nav class="navbar navbar-expand-lg fixed-top " aria-label="Site navigation"><div class="container">

    <a class="navbar-brand me-2" href="../index.html">swissevote</a>

    <small class="nav-text text-danger me-auto" data-bs-toggle="tooltip" data-bs-placement="bottom" title="In-development version">0.0.9012</small>


    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar" aria-controls="navbar" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div id="navbar" class="collapse navbar-collapse ms-3">
      <ul class="navbar-nav me-auto"><li class="active nav-item"><a class="nav-link" href="../reference/index.html">Reference</a></li>
      </ul><ul class="navbar-nav"><li class="nav-item"><form class="form-inline" role="search">
 <input class="form-control" type="search" name="search-input" id="search-input" autocomplete="off" aria-label="Search site" placeholder="Search for" data-search-index="../search.json"></form></li>
<li class="nav-item"><a class="external-link nav-link" href="https://gitlab.com/zdaarau/rpkgs/swissevote/" aria-label="GitLab"><span class="fa fab fa-gitlab fa-lg"></span></a></li>
<li class="nav-item dropdown">
  <button class="nav-link dropdown-toggle" type="button" id="dropdown-lightswitch" data-bs-toggle="dropdown" aria-expanded="false" aria-haspopup="true" aria-label="Light switch"><span class="fa fa-sun"></span></button>
  <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="dropdown-lightswitch"><li><button class="dropdown-item" data-bs-theme-value="light"><span class="fa fa-sun"></span> Light</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="dark"><span class="fa fa-moon"></span> Dark</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="auto"><span class="fa fa-adjust"></span> Auto</button></li>
  </ul></li>
      </ul></div>


  </div>
</nav><div class="container template-reference-topic">
<div class="row">
  <main id="main" class="col-md-9"><div class="page-header">

      <h1>Read in raw data files from the canton of Geneva</h1>
      <small class="dont-index">Source: <a href="https://gitlab.com/zdaarau/rpkgs/swissevote/blob/HEAD/R/swissevote.gen.R" class="external-link"><code>R/swissevote.gen.R</code></a></small>
      <div class="d-none name"><code>read_raw_data_geneva.Rd</code></div>
    </div>

    <div class="ref-description section level2">
    <p>Read in raw data files from the canton of Geneva</p>
    </div>

    <div class="section level2">
    <h2 id="ref-usage">Usage<a class="anchor" aria-label="anchor" href="#ref-usage"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span><span class="fu">read_raw_data_geneva</span><span class="op">(</span></span>
<span>  <span class="va">ballot_date</span>,</span>
<span>  specific_datasets <span class="op">=</span> <span class="cn">NULL</span>,</span>
<span>  check_municipalities <span class="op">=</span> <span class="cn">TRUE</span>,</span>
<span>  remove_duplicated_votes <span class="op">=</span> <span class="cn">TRUE</span>,</span>
<span>  remove_unknown_municipality_district_combos <span class="op">=</span> <span class="cn">FALSE</span>,</span>
<span>  remove_na_locality_codes <span class="op">=</span> <span class="cn">FALSE</span>,</span>
<span>  skip_problematic_dates <span class="op">=</span> <span class="cn">FALSE</span></span>
<span><span class="op">)</span></span></code></pre></div>
    </div>

    <div class="section level2">
    <h2 id="arguments">Arguments<a class="anchor" aria-label="anchor" href="#arguments"></a></h2>


<dl><dt id="arg-ballot-date">ballot_date<a class="anchor" aria-label="anchor" href="#arg-ballot-date"></a></dt>
<dd><p>The ballot date of which to read in raw data files.</p></dd>


<dt id="arg-specific-datasets">specific_datasets<a class="anchor" aria-label="anchor" href="#arg-specific-datasets"></a></dt>
<dd><p>If not <code>NULL</code>, only the specified filenames will be processed. A list with ballot dates as keys and character vectors of specific
filenames (without the filetype extension) as values.</p></dd>


<dt id="arg-check-municipalities">check_municipalities<a class="anchor" aria-label="anchor" href="#arg-check-municipalities"></a></dt>
<dd><p>Check if <code>municipality</code> could be determined for all entries excluding Swiss living abroad. A logical scalar.</p></dd>


<dt id="arg-remove-duplicated-votes">remove_duplicated_votes<a class="anchor" aria-label="anchor" href="#arg-remove-duplicated-votes"></a></dt>
<dd><p>Remove duplicate votes (where <code>votcorr == "A" | votdup == "1"</code>; only if the necessary variable exists). A logical scalar. The
variable <code>votcorr</code> is used to identify voters for whom several voting cards have been issued (due to non-receipt, loss, etc.). The dummy variable <code>votdup</code>
serves the exact same purpose. The cases with <code>votcorr = "A"</code> (or <code>votdup = "1"</code>) have to be filtered out in order to get correct results. In the (very
rare) case both variables are included and contradict each other, <code>votdup</code> is given preference.</p></dd>


<dt id="arg-remove-unknown-municipality-district-combos">remove_unknown_municipality_district_combos<a class="anchor" aria-label="anchor" href="#arg-remove-unknown-municipality-district-combos"></a></dt>
<dd><p>Ignore rows in raw data that are <em>not</em> Swiss abroad but missing a <code>municipality</code> (usually with the
undocumented district code <code>99</code>). A logical scalar.</p></dd>


<dt id="arg-remove-na-locality-codes">remove_na_locality_codes<a class="anchor" aria-label="anchor" href="#arg-remove-na-locality-codes"></a></dt>
<dd><p>Ignore rows in raw data that have no <code>municipality_code_2_digits</code> set (<code>NA</code>). A logical scalar.</p></dd>


<dt id="arg-skip-problematic-dates">skip_problematic_dates<a class="anchor" aria-label="anchor" href="#arg-skip-problematic-dates"></a></dt>
<dd><p>Skip <code>ballot_date</code>s for which unresolved parsing problems exist. A logical scalar.</p></dd>

</dl></div>
    <div class="section level2">
    <h2 id="value">Value<a class="anchor" aria-label="anchor" href="#value"></a></h2>
    <p>A list with a tibble of each raw data file plus metadata tibble.</p>
    </div>

  </main><aside class="col-md-3"><nav id="toc" aria-label="Table of contents"><h2>On this page</h2>
    </nav></aside></div>


    <footer><div class="pkgdown-footer-left">
  <p>Developed by Salim Brüggemann.</p>
</div>

<div class="pkgdown-footer-right">
  <p>Site built with <a href="https://pkgdown.r-lib.org/" class="external-link">pkgdown</a> 2.1.1.9000.</p>
</div>

    </footer></div>





  </body></html>

